Unable to update or use addons
Posted by: CarlJames (81.145.39.---)
Date: June 19, 2017 12:57PM

Hello,

I currently have WAMPServer 3.0.6 installed (on Windows Server 2012). The tray icon is green.

I went to this page: [wampserver.aviatechno.net]
and installed all the VC Redists and the 3.0.8 update .
I then installed the latest versions of PHP (7.1.6) , Apache (2.4.26) and MySQL.(5.7.18)

Restarted the PC and noticed that the new versions aren't selectable as an option when I go to choose a version.
Also, if I click "About" on the system tray menu, it still says version 3.0.6.

I tried installing the update again, which it did but this didn't change. I can verify that the new versions of php, etc are there in the bin folder.

Any ideas?

Thanks in advance.



Edited 2 time(s). Last edit at 06/19/2017 02:19PM by CarlJames.

Options: ReplyQuote
Re: Unable to update or use addons
Posted by: Otomatic (Moderator)
Date: June 19, 2017 01:34PM

Hi,

> I went to this page
What page?
> I then installed the latest versions of PHP, Apache and MySQL.
What versions?

Please READ (and answer) BEFORE YOU ASK A QUESTION

Addons, like VC redist must de installed as an administrator and the latest Apache, PHP, and MySQL versions can only be installed if Wampserver is version 3.0.8 (or higher).

------------------------------------------------------------------------------------------------------------
Wampserver 3.1.1 32 bit - Apache 2.4.29 - PHP 7.1.11/7.0.25/5.6.32 - MySQL 5.7.20 - MariaDB 10.2.9
Wampserver 3.1.1 64 bit - Apache 2.4.29 - PHP 7.1.11/7.0.25/5.6.32 - MySQL 5.7.20 - MariaDB 10.2.9
PhPMyAdmin 4.7.5 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: Unable to update or use addons
Posted by: CarlJames (81.145.39.---)
Date: June 19, 2017 02:12PM

Otomatic Wrote:
-------------------------------------------------------
> Hi,
>
> > I went to this page
> What page?
> > I then installed the latest versions of PHP,
> Apache and MySQL.
> What versions?
>
> Please
> [url=http://forum.wampserver.com/read.php?2,129067
> ]READ (and answer) BEFORE YOU ASK A
> QUESTION[/url]
>
> Addons, like VC redist must de installed as an
> administrator and the latest Apache, PHP, and
> MySQL versions can only be installed if Wampserver
> is version 3.0.8 (or higher).

Sorry about that. I have added the link I got the everything from and the versions. I did install all the redists as administrator.

I did install 3.0.8 and it completed but the version doesn't show.

Options: ReplyQuote
Re: Unable to update or use addons
Posted by: Otomatic (Moderator)
Date: June 19, 2017 02:22PM

Hi,

Please READ (and answer) BEFORE YOU ASK A QUESTION
Please do not edit your first post. There is no way of knowing that it has been changed.
It is not possible to install the Apache 2.4.26, PHP 7.1.6 and MySQL 5.7.18 addons if Wampserver is not version 3.0.8.
After answering the questions above, please give the first 16 lines of the wamp/wampmanager.conf file

------------------------------------------------------------------------------------------------------------
Wampserver 3.1.1 32 bit - Apache 2.4.29 - PHP 7.1.11/7.0.25/5.6.32 - MySQL 5.7.20 - MariaDB 10.2.9
Wampserver 3.1.1 64 bit - Apache 2.4.29 - PHP 7.1.11/7.0.25/5.6.32 - MySQL 5.7.20 - MariaDB 10.2.9
PhPMyAdmin 4.7.5 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: Unable to update or use addons
Posted by: CarlJames (81.145.39.---)
Date: June 19, 2017 02:37PM

1 - Windows version used (Specify version number AND whether 32 or 64 bit)
Windows Server 2012 R2

2 - Version WampServer (Specify version number AND whether 32 or 64 bit)
3.0.6

3 - Apache Version
2.4.23

4 - PHP Version
7.0.10 (php5.6.25is still installed as Wampserver needs it for CLI)

5 - MySQL Version
5.7.14

6 - What color is the WampServer icon (in the notification area of the taskbar)
Green


7 - In the file c:\Windows\System32\drivers\etc\hosts, what are the active lines with the name [localhost] in them?
* Active means no # at the beginning of the line.

[localhost] is not there but there are 2 entries that do point to my domain (which I wish to remain secret). The site is working fine though.


127.0.0.1 my.domain.com
::1 my.domain.com


8 - Do you have access to localhost (Homepage WampServer)?
Yes

8a - If so, is there an error message at the bottom of the page?
No

9 - Do you have access to phpMyAdmin?
Yes

10 - If you refer to an error message, please include the EXACT wording of the error in your post
11 - If you use an Antivirus and / or Firewall, please include the names of these
12 - What is the full path to the installation of WampServer (eg D:\wamp\)
C:\WAMP

13 - If you have one or more Virtual Hosts defined, please show their definition(s)
I'm unsure on this question but as mentioned before, the site itself is working fine. I just can't get the new versions of Apache/MySQL/PHP to be detected by the wampserver tray icon and the 3.0.8 update has been installed although not showing a version change.

[main]
language = "english"
status = "offline"
wampserverVersion = "3.0.8"
installDir ="c:/WAMP"
;Path of the Browser used by Wampserver
;May be modfied with the absolute path of the browser exe file
;(Use / instead of \)
navigator ="C:/Program Files (x86)/Google/Chrome/Application/chrome.exe"
;Path of the Text Editor used by Wampserver
;May be modfied with the absolute path of the Text Editor exe file
;(Use / instead of \)
editor ="C:/Program Files/Sublime Text 3/sublime_text.exe"
defaultLanguage = english
wampserverMode = "64bit"
[options]



Edited 1 time(s). Last edit at 06/19/2017 02:38PM by CarlJames.

Options: ReplyQuote
Re: Unable to update or use addons
Posted by: Otomatic (Moderator)
Date: June 19, 2017 02:56PM

Hi,

> wampserverVersion = "3.0.8"
You have Wampserver 3.0.8

What is in :
Left-Click Wampmanager tray icon -> Apache -> Version

and the same for PHP and MySQL

------------------------------------------------------------------------------------------------------------
Wampserver 3.1.1 32 bit - Apache 2.4.29 - PHP 7.1.11/7.0.25/5.6.32 - MySQL 5.7.20 - MariaDB 10.2.9
Wampserver 3.1.1 64 bit - Apache 2.4.29 - PHP 7.1.11/7.0.25/5.6.32 - MySQL 5.7.20 - MariaDB 10.2.9
PhPMyAdmin 4.7.5 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: Unable to update or use addons
Posted by: CarlJames (---.15-1.cable.virginm.net)
Date: June 19, 2017 08:48PM

Otomatic Wrote:
-------------------------------------------------------
> Hi,
>
> > wampserverVersion = "3.0.8"
> You have Wampserver 3.0.8
>
> What is in :
> Left-Click Wampmanager tray icon -> Apache ->
> Version
>
> and the same for PHP and MySQL

Apache -> Version -> 2.4.23 (no other options)
PHP -> Version -> 5.6.25, 7.0.10
MySQL -> Version -> 5.7.14 (no other options)

and if it's any use, when I click About, I get this output but I guess the update doesn't change it in this place. Is that right?

WampServer Version 3.0.6 64bit
Created by Romain Bourdon (2005)
Maintainer / Upgrade to 2.5 by Herve Leclerc
Upgrade to 3 by Otomatic (wampserver@otomatic.net)
Multi styles for homepage by Jojaba
Installer by Inno Setup: [www.jrsoftware.org]
Forum Wampserver: [forum.wampserver.com]
______________________ Versions used ______________________
Apache 2.4.23 - PHP 7.0.10 - MySQL 5.7.14
PHP 5.6.25 for CLI (Command-Line Interface)

Options: ReplyQuote
Re: Unable to update or use addons
Posted by: Otomatic (Moderator)
Date: June 20, 2017 11:03AM

Hi,

What are the directory inside folders:
- wamp64\bin\apache\
- wamp64\bin\mysql\
- wamp64\bin\php\

With wampserverVersion = "3.0.8" in wampmanager.conf file, About should be
WampServer Version 3.0.8 64bit
as the version information is taken from wampmanager.conf file.

------------------------------------------------------------------------------------------------------------
Wampserver 3.1.1 32 bit - Apache 2.4.29 - PHP 7.1.11/7.0.25/5.6.32 - MySQL 5.7.20 - MariaDB 10.2.9
Wampserver 3.1.1 64 bit - Apache 2.4.29 - PHP 7.1.11/7.0.25/5.6.32 - MySQL 5.7.20 - MariaDB 10.2.9
PhPMyAdmin 4.7.5 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: Unable to update or use addons
Posted by: CarlJames (81.145.39.---)
Date: June 21, 2017 12:20PM

Otomatic Wrote:
-------------------------------------------------------
> Hi,
>
> What are the directory inside folders:
> - wamp64\bin\apache\
> - wamp64\bin\mysql\
> - wamp64\bin\php\
>
> With wampserverVersion = "3.0.8" in
> wampmanager.conf file, About should be
> WampServer Version 3.0.8 64bit
> as the version information is taken from
> wampmanager.conf file.

The directories inside those folders include those listed in the tray menu, as well as those that I installed.

After testing with a new installation, It seems that the wampmanager.ini file is not being written to so probably a permission issue somewhere. If you're able to help with that, let me know although it seems like a clean install may be my only option.

Options: ReplyQuote
Re: Unable to update or use addons
Posted by: Otomatic (Moderator)
Date: June 21, 2017 12:41PM

Hi,

> It seems that the wampmanager.ini file is not being written
The file wampmanager.ini is completely rewritten every time you launch Wampserver, every time you change a PHP, Apache, or Mysql option and with right-click-> Refresh

You can try to change a value of a PHP parameter, for example
Left-Click -> PHP -> PHP settings -> upload_max_filesize
Default is 2M
and replace the value by what you want, for example 16M

The original line with value 2M in wampmanager.ini file is :
Type: submenu; Caption: "upload_max_filesize = 2M"; Submenu: upload_max_filesize; Glyph: 9
after the change to 16M, this line become:
Type: submenu; Caption: "upload_max_filesize = 16M"; Submenu: upload_max_filesize; Glyph: 9

------------------------------------------------------------------------------------------------------------
Wampserver 3.1.1 32 bit - Apache 2.4.29 - PHP 7.1.11/7.0.25/5.6.32 - MySQL 5.7.20 - MariaDB 10.2.9
Wampserver 3.1.1 64 bit - Apache 2.4.29 - PHP 7.1.11/7.0.25/5.6.32 - MySQL 5.7.20 - MariaDB 10.2.9
PhPMyAdmin 4.7.5 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: Unable to update or use addons
Posted by: CarlJames (81.145.39.---)
Date: June 21, 2017 04:53PM

Otomatic Wrote:
-------------------------------------------------------
> Hi,
>
> > It seems that the wampmanager.ini file is not
> being written
> The file wampmanager.ini is completely rewritten
> every time you launch Wampserver, every time you
> change a PHP, Apache, or Mysql option and with
> right-click-> Refresh
>
> You can try to change a value of a PHP parameter,
> for example
> Left-Click -> PHP -> PHP settings ->
> upload_max_filesize
> Default is 2M
> and replace the value by what you want, for
> example 16M
>
> The original line with value 2M in wampmanager.ini
> file is :
>
Type: submenu; Caption: "upload_max_filesize
> = 2M"; Submenu: upload_max_filesize; Glyph:
> 9
> after the change to 16M, this line become:
>
Type: submenu; Caption: "upload_max_filesize
> = 16M"; Submenu: upload_max_filesize; Glyph:
> 9


Unfortunately this also still did not update the ini file. So I am ruling it down to a problem with the computer.

Thanks for all the help smiling smiley

Options: ReplyQuote
Re: Unable to update or use addons
Posted by: Otomatic (Moderator)
Date: June 21, 2017 05:22PM

Hi,

As for the hosts file, make sure that you are owner of the wamp folder and the subfolders and files and that you have full control over them.
See (Note 2) of TROUBLESHOOTING TIPS This is for the hosts file, but the principle is the same.

------------------------------------------------------------------------------------------------------------
Wampserver 3.1.1 32 bit - Apache 2.4.29 - PHP 7.1.11/7.0.25/5.6.32 - MySQL 5.7.20 - MariaDB 10.2.9
Wampserver 3.1.1 64 bit - Apache 2.4.29 - PHP 7.1.11/7.0.25/5.6.32 - MySQL 5.7.20 - MariaDB 10.2.9
PhPMyAdmin 4.7.5 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote


Sorry, only registered users may post in this forum.